RanglerDeveloper
API referenceEndpointsFilings
GET
/v1/filings

Authorization

RanglerApiKey
X-API-Key<token>

In: header

Query Parameters

cursor?string|null
q?|

Search by filing title excerpt

company_id?|null
type?|

Filter by filing_type

from?|null
to?|null
has_signal?|

Only filings that have an extracted signal

has_tables?boolean|null
limit?Limit
Default25
Range1 <= value <= 100
country_code?|

Filter by ISO 3166-1 alpha-2 market country code

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.rangler.co/v1/filings"
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "subject_kind": "company",
      "subject_id": "80e197be-61ad-4068-b4ff-a483fb5c18f9",
      "filing_type": "results",
      "title": "string",
      "source_title": "string",
      "period": "string",
      "published_at": "2019-08-24T14:15:22Z",
      "url": "string",
      "has_tables": true,
      "filing_family_key": "string",
      "superseded_by_filing_id": "6b488566-1800-41f7-a2f5-c45f6d40f9b0",
      "superseded_at": "2019-08-24T14:15:22Z",
      "superseded_reason": "string",
      "badge": {
        "key": "string",
        "label": "string",
        "color": "string"
      },
      "signal": {
        "extraction_id": "d27ec9ac-2c0d-4813-8730-6046453b0356",
        "summary": "string",
        "confidence": 0,
        "extracted_at": "2019-08-24T14:15:22Z",
        "reporting_period": "string",
        "key_points": [
          "string"
        ],
        "mentioned_tickers": [
          "string"
        ],
        "dates_mentioned": [
          "string"
        ],
        "risk_flags": [
          "string"
        ],
        "corporate_actions": [
          "string"
        ],
        "board_changes": [
          "string"
        ],
        "metrics": [
          {
            "name": "string",
            "value": "string",
            "unit": "string",
            "period": "string"
          }
        ],
        "result_details": {
          "revenue": "string",
          "profit_before_tax": "string",
          "profit_after_tax": "string",
          "earnings_per_share": "string",
          "dividend_per_share": "string",
          "dividend_currency": "string",
          "record_date": "string",
          "payment_date": "string",
          "period_end_date": "string",
          "period_type": "string",
          "currency": "string",
          "value_scale": "string",
          "revenue_value": 0,
          "cost_of_sales": 0,
          "gross_profit": 0,
          "operating_profit": 0,
          "ebitda": 0,
          "profit_before_tax_value": 0,
          "profit_after_tax_value": 0,
          "earnings_per_share_value": 0,
          "total_assets": 0,
          "total_liabilities": 0,
          "total_equity": 0,
          "cash_and_equivalents": 0,
          "dividend_per_share_value": 0,
          "net_asset_per_share": 0,
          "dividend_payout_ratio": 0,
          "employee_count": 0,
          "personnel_expenses": 0,
          "capital_expenditure": 0,
          "operating_cash_flow": 0,
          "interest_income": 0,
          "interest_expense": 0,
          "net_interest_income": 0,
          "non_interest_income": 0,
          "operating_income": 0,
          "loans_and_advances": 0,
          "customer_deposits": 0,
          "investment_securities": 0,
          "long_term_debt": 0,
          "net_interest_margin": 0,
          "cost_to_income_ratio": 0,
          "non_performing_loan_ratio": 0,
          "return_on_assets": 0,
          "return_on_equity": 0,
          "financial_leverage": 0,
          "capital_adequacy_ratio": 0,
          "gross_margin": 0,
          "operating_margin": 0,
          "pbt_margin": 0,
          "pat_margin": 0,
          "fcf_margin": 0,
          "revenue_growth": 0,
          "free_cash_flow": 0,
          "gearing_ratio": 0,
          "debt_to_asset": 0,
          "interest_coverage_ebit": 0,
          "interest_coverage_ocf": 0,
          "asset_turnover": 0,
          "capex_intensity": 0,
          "nwc_ratio": 0,
          "ocf_conversion": 0,
          "price_to_earnings": 0,
          "price_to_book": 0,
          "revenue_segments": []
        },
        "corporate_action_details": [
          {
            "action_type": "string",
            "summary": "string",
            "transaction_type": "string",
            "amount": "string",
            "currency": "string",
            "ratio": "string",
            "quantity": "string",
            "record_date": "string",
            "payment_date": "string",
            "effective_date": "string",
            "person_name": "string",
            "role": "string",
            "holding_after": "string"
          }
        ],
        "board_change_details": [
          {
            "person_name": "string",
            "role": "string",
            "action": "string",
            "effective_date": "string"
          }
        ],
        "director_dealings": [],
        "highlights": []
      },
      "company": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "ticker": "string",
        "sector": "string",
        "logo_url": "string"
      },
      "subject": {
        "kind": "company",
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "ticker": "string",
        "slug": "string",
        "category": "string"
      }
    }
  ],
  "next_cursor": "string"
}
{
  "error": {
    "type": "unauthorized",
    "code": "unauthorized",
    "message": "Authentication required.",
    "request_id": "28fa6152-7081-492e-8a7e-00beb237b689"
  }
}
{
  "error": {
    "type": "forbidden",
    "code": "forbidden",
    "message": "Paid access is required.",
    "request_id": "5c253b3e-778e-4a58-aaf8-07cb21e03563"
  }
}
{
  "error": {
    "type": "validation_error",
    "code": "validation_error",
    "message": "Request validation failed",
    "request_id": "c5964dca-d290-4465-a3dc-f92d42aa9b17",
    "details": [
      {
        "type": "missing",
        "loc": [
          "query",
          "ticker"
        ],
        "msg": "Field required",
        "input": null
      }
    ]
  }
}
{
  "error": {
    "type": "rate_limit_exceeded",
    "code": "rate_limit_exceeded",
    "message": "Rate limit exceeded",
    "request_id": "cc4d369a-2c69-4ee2-909e-985ea35d14a9"
  }
}
{
  "error": {
    "type": "internal_server_error",
    "code": "internal_server_error",
    "message": "Internal Server Error",
    "request_id": "70b63aba-b8a3-41c2-bb0c-fbe67d84d37d"
  }
}